org.apache.catalina.valves

## Class AccessLogValve.ByteSentElement

- java.lang.Object
- - org.apache.catalina.valves.AccessLogValve.ByteSentElement

- All Implemented Interfaces:
    AccessLogValve.AccessLogElement
  Enclosing class:
    AccessLogValve

      protected static class AccessLogValve.ByteSentElement
      extends Object
      implements AccessLogValve.AccessLogElement

  write bytes sent, excluding HTTP headers - %b, %B

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLogValve.ByteSentElement(boolean conversion)` if conversion is true, write '-' instead of 0 - %b

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(StringBuilder buf, Date date, Request request, Response response, long time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessLogValve.ByteSentElement

          public AccessLogValve.ByteSentElement(boolean conversion)

      if conversion is true, write '-' instead of 0 - %b

  - ### Method Detail

    - #### addElement

          public void addElement(StringBuilder buf,
                        Date date,
                        Request request,
                        Response response,
                        long time)

      Specified by:
        `addElement` in interface `AccessLogValve.AccessLogElement`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.